Package name
perl-MailTools
Date
2002-11-07
Advisory ID
MDKSA-2002:076
Affected versions
8.1 i586 , 8.1 i586 , 8.0 i586 , 9.0 i586 , 8.2 i586 , 8.0 i586 , 8.2 i586 , 7.2 i586

Problem description

A vulnerability was discovered in Mail::Mailer perl module by the SuSE security team during an audit. The vulnerability allows remote attackers to execute arbitrary commands in certain circumstances due to the usage of mailx as the default mailer, a program that allows commands to be embedded in the mail body. This module is used by some auto-response programs and spam filters which make use of Mail::Mailer.

Updated packages

8.1 i586

 77a07cf93bb5ab1c767f43cbe55edb7f  ia64/8.1/RPMS/perl-MailTools-1.47-1.1mdk.noarch.rpm
8a2f9e0d6da7ab31077374629cceb20f  ia64/8.1/SRPMS/perl-MailTools-1.47-1.1mdk.src.rpm

8.1 i586

 3311eb83dfad00597c91d5a325b66c72  8.1/RPMS/perl-MailTools-1.47-1.1mdk.noarch.rpm
8a2f9e0d6da7ab31077374629cceb20f  8.1/SRPMS/perl-MailTools-1.47-1.1mdk.src.rpm

8.0 i586

 6fda1fab459626c3c37226a18f722a7a  8.0/RPMS/perl-MailTools-1.47-1.1mdk.noarch.rpm
8a2f9e0d6da7ab31077374629cceb20f  8.0/SRPMS/perl-MailTools-1.47-1.1mdk.src.rpm

9.0 i586

 4fbfa7cc821ce3e785fb2449eb58afb8  9.0/RPMS/perl-MailTools-1.47-1.1mdk.noarch.rpm
8a2f9e0d6da7ab31077374629cceb20f  9.0/SRPMS/perl-MailTools-1.47-1.1mdk.src.rpm

8.2 i586

 4f9a39b0a7c2102395618e674dd1fd93  8.2/RPMS/perl-MailTools-1.47-1.1mdk.noarch.rpm
8a2f9e0d6da7ab31077374629cceb20f  8.2/SRPMS/perl-MailTools-1.47-1.1mdk.src.rpm

8.0 i586

 a808f7a6c9301a06cf632d51c27a04c5  ppc/8.0/RPMS/perl-MailTools-1.47-1.1mdk.noarch.rpm
8a2f9e0d6da7ab31077374629cceb20f  ppc/8.0/SRPMS/perl-MailTools-1.47-1.1mdk.src.rpm

8.2 i586

 3161be8fdc7c9bc176f8eafb6f2f2388  ppc/8.2/RPMS/perl-MailTools-1.47-1.1mdk.noarch.rpm
8a2f9e0d6da7ab31077374629cceb20f  ppc/8.2/SRPMS/perl-MailTools-1.47-1.1mdk.src.rpm

7.2 i586

 6bdea6465f1d92aac284b1ba523e1727  7.2/RPMS/perl-MailTools-1.47-1.1mdk.noarch.rpm
8a2f9e0d6da7ab31077374629cceb20f  7.2/SRPMS/perl-MailTools-1.47-1.1mdk.src.rpm

References